import { Component, OnInit } from '@angular/core';
import { MatTableDataSource } from '@angular/material';
import { Router } from '@angular/router';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})
export class HomeComponent implements OnInit {

  displayedColumns = ['container', 'truckPlate', 'trailer', 'number', 'analyst', 'date'];
  dataSource = new MatTableDataSource<any>(DATASETS);

  datasets = DATASETS;

  constructor(private router: Router) { }

  ngOnInit() {
  }

  goToInspection(){
    this.router.navigate(['/inspection']);
  }
}

const DATASETS: any[] = [
  {id: 211711227120938, container: 'BSLU-2001013', truckPlate: '4430-OGZ', trailer: '2C0100803024', number: 123, analyst: 'BcnTestAdmin', date: '28/11/2018'},
  {id: 278394738292975, container: 'CSQU-3054383', truckPlate: '6628-JDN', trailer: '12K157S22278', number: 234, analyst: 'BcnTestAdmin', date: '28/11/2018'},
  {id: 263748582628494, container: 'SHRD-2781393', truckPlate: '3567-OSR', trailer: '35L27D772111', number: 345, analyst: 'BcnTestAdmin', date: '28/11/2018'},
  {id: 234748261647482, container: 'USHD-6152621', truckPlate: '1231-BFR', trailer: '5W2838181812', number: 456, analyst: 'BcnTestAdmin', date: '27/11/2018'},
  {id: 646272728264737, container: 'QUES-9583828', truckPlate: '3672-JSM', trailer: '56P273828173', number: 456, analyst: 'BcnTestAdmin', date: '27/11/2018'},
  {id: 153647485847262, container: 'HDIS-2718371', truckPlate: '8573-HSG', trailer: '24K838282S72', number: 234, analyst: 'BcnTestAdmin', date: '25/11/2018'},
  {id: 748282816166636, container: 'OHLG-1732818', truckPlate: '8261-YEH', trailer: '92738A273828', number: 567, analyst: 'BcnTestAdmin', date: '24/11/2018'},
  {id: 251727484857372, container: 'TQRE-7382812', truckPlate: '8264-YXH', trailer: '35L38Z372727', number: 876, analyst: 'BcnTestAdmin', date: '23/11/2018'},
  {id: 153636473726261, container: 'PAGR-6183832', truckPlate: '2342-WZR', trailer: '271D21828382', number: 654, analyst: 'BcnTestAdmin', date: '23/11/2018'},
  {id: 848362655151553, container: 'YULE-1627383', truckPlate: '3526-TWR', trailer: '63M3627Z7382', number: 543, analyst: 'BcnTestAdmin', date: '22/11/2018'},
];